Subject: Re: [Fot] Honoring Kas

From: JOSEPH ALEXANDER via Fot <[email-masked]>
Date: Fri, 4 Nov 2022 11:58:52 -0500

Thank you Bob,

I also took Kas’ Nissan artifacts to Nissan Corporate. They are not totally ready to open up their museum yet.

Stand by.

Joe Alexander
4505 Donald Dr
Cedar Falls, IA 50613
The-vintage-racer.com
Gasketinnovations.com
Cell:  319.464.4711

> On Nov 4, 2022, at 11:26 AM, Bob Bownes -Seiri <[email-masked]> wrote:
> 
> Joe,
> 
> I have one of the Nissan team shirts from when Kaz was running the Nissan team. Not a simple T-shirt, but one of the heavily embroidered formal crew shirts. I would be more than happy to loan/donate it to any cause honoring Kaz.
> 
> Bob

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]